Page MenuHomePhabricator

handle use of statements linking to Lexemes (and Forms?) more gracefully on client
Closed, ResolvedPublic

Description

We turned of client-side features for Lexemes for now but seem to have missed a part. (See T195611 for the fallout.)

The problem: someone added a statement to an item that was used on Wikipedia. This statement linked to a Lexeme. This lead to internal errors when viewing the page.

We need to figure out a more graceful way of handling links to Lexemes (and Forms?) in statements that are used on the clien

Current stacktrace:

2018-05-25 18:12:37 [WwhSEwpAICMAALKnaggAAABH] mw1333 frwiki 1.32.0-wmf.4 exception ERROR: [WwhSEwpAICMAALKnaggAAABH] /wiki/Cracovie   Wikibase\DataModel\Services\Lookup\EntityLookupException from line 44 of /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/lib/includes/Store/RevisionBasedEntityLookup.php: The serialization "L1041" is not recognized by the configured id builders {"exception_id":"WwhSEwpAICMAALKnaggAAABH","exception_url":"/wiki/Cracovie","caught_by":"mwe_handler"} 
[Exception Wikibase\DataModel\Services\Lookup\EntityLookupException] (/srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/lib/includes/Store/RevisionBasedEntityLookup.php:44) The serialization "L1041" is not recognized by the configured id builders
  #0 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-services/src/Lookup/RedirectResolvingEntityLookup.php(51): Wikibase\Lib\Store\RevisionBasedEntityLookup->getEntity(Wikibase\DataModel\Entity\ItemId)
  #1 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/client/includes/LangLinkHandler.php(109): Wikibase\DataModel\Services\Lookup\RedirectResolvingEntityLookup->getEntity(Wikibase\DataModel\Entity\ItemId)
  #2 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/client/includes/LangLinkHandler.php(331): Wikibase\Client\LangLinkHandler->getEntityLinks(Title)
  #3 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/client/includes/LangLinkHandler.php(352): Wikibase\Client\LangLinkHandler->getEffectiveRepoLinks(Title, ParserOutput)
  #4 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/client/includes/Hooks/ParserOutputUpdateHookHandlers.php(97): Wikibase\Client\LangLinkHandler->addLinksFromRepository(Title, ParserOutput)
  #5 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/client/includes/Hooks/ParserOutputUpdateHookHandlers.php(65): Wikibase\Client\Hooks\ParserOutputUpdateHookHandlers->doContentAlterParserOutput(Title, ParserOutput)
  #6 /srv/mediawiki/php-1.32.0-wmf.4/includes/Hooks.php(177): Wikibase\Client\Hooks\ParserOutputUpdateHookHandlers::onContentAlterParserOutput(WikitextContent, Title, ParserOutput)
  #7 /srv/mediawiki/php-1.32.0-wmf.4/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
  #8 /srv/mediawiki/php-1.32.0-wmf.4/includes/content/AbstractContent.php(520): Hooks::run(string, array)
  #9 /srv/mediawiki/php-1.32.0-wmf.4/includes/poolcounter/PoolWorkArticleView.php(145): AbstractContent->getParserOutput(Title, integer, ParserOptions)
  #10 /srv/mediawiki/php-1.32.0-wmf.4/includes/poolcounter/PoolCounterWork.php(123): PoolWorkArticleView->doWork()
  #11 /srv/mediawiki/php-1.32.0-wmf.4/includes/page/Article.php(604): PoolCounterWork->execute()
  #12 /srv/mediawiki/php-1.32.0-wmf.4/includes/actions/ViewAction.php(68): Article->view()
  #13 /srv/mediawiki/php-1.32.0-wmf.4/includes/MediaWiki.php(500): ViewAction->show()
  #14 /srv/mediawiki/php-1.32.0-wmf.4/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
  #15 /srv/mediawiki/php-1.32.0-wmf.4/includes/MediaWiki.php(861): MediaWiki->performRequest()
  #16 /srv/mediawiki/php-1.32.0-wmf.4/includes/MediaWiki.php(524): MediaWiki->main()
  #17 /srv/mediawiki/php-1.32.0-wmf.4/index.php(42): MediaWiki->run()
  #18 /srv/mediawiki/w/index.php(3): include(string)
  #19 {main}
Caused by: [Exception Wikibase\DataModel\Entity\EntityIdParsingException] (/srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model/src/Entity/DispatchingEntityIdParser.php:60) The serialization "L1041" is not recognized by the configured id builders
  #0 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-services/src/EntityId/PrefixMappingEntityIdParser.php(86): Wikibase\DataModel\Entity\DispatchingEntityIdParser->parse(string)
  #1 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/lib/includes/Serialization/RepositorySpecificDataValueDeserializerFactory.php(70): Wikibase\DataModel\Services\EntityId\PrefixMappingEntityIdParser->parse(string)
  #2 /srv/mediawiki/php-1.32.0-wmf.4/vendor/data-values/serialization/src/Deserializers/DataValueDeserializer.php(122): Closure$Wikibase\Lib\Serialization\RepositorySpecificDataValueDeserializerFactory::newDeserializerForRepository(array)
  #3 /srv/mediawiki/php-1.32.0-wmf.4/vendor/data-values/serialization/src/Deserializers/DataValueDeserializer.php(91): DataValues\Deserializers\DataValueDeserializer->getDeserialization(array)
  #4 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-serialization/src/Deserializers/SnakDeserializer.php(118): DataValues\Deserializers\DataValueDeserializer->deserialize(array)
  #5 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-serialization/src/Deserializers/SnakDeserializer.php(108): Wikibase\DataModel\Deserializers\SnakDeserializer->deserializeDataValue(array)
  #6 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-serialization/src/Deserializers/SnakDeserializer.php(90): Wikibase\DataModel\Deserializers\SnakDeserializer->newValueSnak(array)
  #7 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-serialization/src/Deserializers/SnakDeserializer.php(72): Wikibase\DataModel\Deserializers\SnakDeserializer->getDeserialized(array)
  #8 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-serialization/src/Deserializers/SnakListDeserializer.php(60): Wikibase\DataModel\Deserializers\SnakDeserializer->deserialize(array)
  #9 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-serialization/src/Deserializers/SnakListDeserializer.php(41): Wikibase\DataModel\Deserializers\SnakListDeserializer->getDeserialized(array)
  #10 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-serialization/src/Deserializers/StatementDeserializer.php(140): Wikibase\DataModel\Deserializers\SnakListDeserializer->deserialize(array)
  #11 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-serialization/src/Deserializers/StatementDeserializer.php(118): Wikibase\DataModel\Deserializers\StatementDeserializer->setQualifiersFromSerialization(array, Wikibase\DataModel\Statement\Statement)
  #12 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-serialization/src/Deserializers/StatementDeserializer.php(100): Wikibase\DataModel\Deserializers\StatementDeserializer->getDeserialized(array)
  #13 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-serialization/src/Deserializers/StatementListDeserializer.php(60): Wikibase\DataModel\Deserializers\StatementDeserializer->deserialize(array)
  #14 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-serialization/src/Deserializers/StatementListDeserializer.php(41): Wikibase\DataModel\Deserializers\StatementListDeserializer->getDeserialized(array)
  #15 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-serialization/src/Deserializers/ItemDeserializer.php(130): Wikibase\DataModel\Deserializers\StatementListDeserializer->deserialize(array)
  #16 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-serialization/src/Deserializers/ItemDeserializer.php(85): Wikibase\DataModel\Deserializers\ItemDeserializer->setStatementListFromSerialization(array, Wikibase\DataModel\Entity\Item)
  #17 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-serialization/src/Deserializers/ItemDeserializer.php(77): Wikibase\DataModel\Deserializers\ItemDeserializer->getDeserialized(array)
  #18 /srv/mediawiki/php-1.32.0-wmf.4/vendor/serialization/serialization/src/Deserializers/DispatchingDeserializer.php(42): Wikibase\DataModel\Deserializers\ItemDeserializer->deserialize(array)
  #19 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/internal-serialization/src/Deserializers/EntityDeserializer.php(47): Deserializers\DispatchingDeserializer->deserialize(array)
  #20 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/lib/includes/Store/EntityContentDataCodec.php(252): Wikibase\InternalSerialization\Deserializers\EntityDeserializer->deserialize(array)
  #21 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/lib/includes/Store/Sql/WikiPageEntityRevisionLookup.php(163): Wikibase\Lib\Store\EntityContentDataCodec->decodeEntity(string, NULL)
  #22 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/lib/includes/Store/Sql/WikiPageEntityRevisionLookup.php(92): Wikibase\Lib\Store\Sql\WikiPageEntityRevisionLookup->loadEntity(stdClass)
  #23 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/lib/includes/Store/DispatchingEntityRevisionLookup.php(59): Wikibase\Lib\Store\Sql\WikiPageEntityRevisionLookup->getEntityRevision(Wikibase\DataModel\Entity\ItemId, integer, string)
  #24 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/lib/includes/Store/CachingEntityRevisionLookup.php(104): Wikibase\Lib\Store\DispatchingEntityRevisionLookup->getEntityRevision(Wikibase\DataModel\Entity\ItemId, integer, string)
  #25 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/lib/includes/Store/CachingEntityRevisionLookup.php(87): Wikibase\Lib\Store\CachingEntityRevisionLookup->fetchEntityRevision(Wikibase\DataModel\Entity\ItemId, integer, string)
  #26 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/lib/includes/Store/CachingEntityRevisionLookup.php(104): Wikibase\Lib\Store\CachingEntityRevisionLookup->getEntityRevision(Wikibase\DataModel\Entity\ItemId, integer, string)
  #27 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/lib/includes/Store/CachingEntityRevisionLookup.php(87): Wikibase\Lib\Store\CachingEntityRevisionLookup->fetchEntityRevision(Wikibase\DataModel\Entity\ItemId, integer, string)
  #28 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/lib/includes/Store/RevisionBasedEntityLookup.php(39): Wikibase\Lib\Store\CachingEntityRevisionLookup->getEntityRevision(Wikibase\DataModel\Entity\ItemId)
  #29 /srv/mediawiki/php-1.32.0-wmf.4/vendor/wikibase/data-model-services/src/Lookup/RedirectResolvingEntityLookup.php(51): Wikibase\Lib\Store\RevisionBasedEntityLookup->getEntity(Wikibase\DataModel\Entity\ItemId)
  #30 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/client/includes/LangLinkHandler.php(109): Wikibase\DataModel\Services\Lookup\RedirectResolvingEntityLookup->getEntity(Wikibase\DataModel\Entity\ItemId)
  #31 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/client/includes/LangLinkHandler.php(331): Wikibase\Client\LangLinkHandler->getEntityLinks(Title)
  #32 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/client/includes/LangLinkHandler.php(352): Wikibase\Client\LangLinkHandler->getEffectiveRepoLinks(Title, ParserOutput)
  #33 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/client/includes/Hooks/ParserOutputUpdateHookHandlers.php(97): Wikibase\Client\LangLinkHandler->addLinksFromRepository(Title, ParserOutput)
  #34 /srv/mediawiki/php-1.32.0-wmf.4/extensions/Wikibase/client/includes/Hooks/ParserOutputUpdateHookHandlers.php(65): Wikibase\Client\Hooks\ParserOutputUpdateHookHandlers->doContentAlterParserOutput(Title, ParserOutput)
  #35 /srv/mediawiki/php-1.32.0-wmf.4/includes/Hooks.php(177): Wikibase\Client\Hooks\ParserOutputUpdateHookHandlers::onContentAlterParserOutput(WikitextContent, Title, ParserOutput)
  #36 /srv/mediawiki/php-1.32.0-wmf.4/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
  #37 /srv/mediawiki/php-1.32.0-wmf.4/includes/content/AbstractContent.php(520): Hooks::run(string, array)
  #38 /srv/mediawiki/php-1.32.0-wmf.4/includes/poolcounter/PoolWorkArticleView.php(145): AbstractContent->getParserOutput(Title, integer, ParserOptions)
  #39 /srv/mediawiki/php-1.32.0-wmf.4/includes/poolcounter/PoolCounterWork.php(123): PoolWorkArticleView->doWork()
  #40 /srv/mediawiki/php-1.32.0-wmf.4/includes/page/Article.php(604): PoolCounterWork->execute()
  #41 /srv/mediawiki/php-1.32.0-wmf.4/includes/actions/ViewAction.php(68): Article->view()
  #42 /srv/mediawiki/php-1.32.0-wmf.4/includes/MediaWiki.php(500): ViewAction->show()
  #43 /srv/mediawiki/php-1.32.0-wmf.4/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
  #44 /srv/mediawiki/php-1.32.0-wmf.4/includes/MediaWiki.php(861): MediaWiki->performRequest()
  #45 /srv/mediawiki/php-1.32.0-wmf.4/includes/MediaWiki.php(524): MediaWiki->main()
  #46 /srv/mediawiki/php-1.32.0-wmf.4/index.php(42): MediaWiki->run()
  #47 /srv/mediawiki/w/index.php(3): include(string)
  #48 {main}

Details

Related Gerrit Patches:
operations/mediawiki-config : masterOnly enable repo-specific parts of WikibaseLexeme on wikidata wikis
operations/mediawiki-config : masterLoad WikibaseLexeme on all wikidata clients
operations/mediawiki-config : masterLoad WikibaseLexeme on group1
operations/mediawiki-config : masterLoad WikibaseLexeme on testwiki
operations/mediawiki-config : masterLoad WikibaseLexeme on all of group0
mediawiki/extensions/WikibaseLexeme : wmf/1.32.0-wmf.8Only define non-repo elements in data types definition for Client
mediawiki/extensions/WikibaseLexeme : wmf/1.32.0-wmf.999Only define non-repo elements in data types definition for Client
mediawiki/extensions/WikibaseLexeme : masterOnly define non-repo elements in data types definition for Client
mediawiki/extensions/Wikibase : wmf/1.32.0-wmf.8Statement transclusion: when entity of unknown type in statement, display ID as string
mediawiki/extensions/WikibaseLexeme : masterOnly register API modules and other repo-specific stuff in repo-only mode
mediawiki/extensions/WikibaseLexeme : masterRegister data types on client
mediawiki/extensions/WikibaseLexeme : wmf/1.32.0-wmf.5Only add repo-specific entity type definition elements in Repo context
mediawiki/extensions/WikibaseLexeme : wmf/1.32.0-wmf.6Only add repo-specific entity type definition elements in Repo context
mediawiki/extensions/WikibaseLexeme : masterOnly add repo-specific entity type definition elements in Repo context
mediawiki/extensions/WikibaseLexeme : wmf/1.32.0-wmf.5Only run onCirrusSearchProfileService if repo is enabled
mediawiki/extensions/WikibaseLexeme : wmf/1.32.0-wmf.6Only run onCirrusSearchProfileService if repo is enabled
mediawiki/extensions/WikibaseLexeme : wmf/1.32.0-wmf.5Do not register Lexeme namespaces in CanonicalNamespaces on clients
mediawiki/extensions/WikibaseLexeme : wmf/1.32.0-wmf.6Do not register Lexeme namespaces in CanonicalNamespaces on clients
mediawiki/extensions/WikibaseLexeme : masterOnly run onCirrusSearchProfileService if repo is enabled
mediawiki/extensions/WikibaseLexeme : masterDo not register Lexeme namespaces in CanonicalNamespaces on clients

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 436567 had a related patch set uploaded (by Addshore; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.5] Only add repo-specific entity type definition elements in Repo context

https://gerrit.wikimedia.org/r/436567

Change 436563 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Only add repo-specific entity type definition elements in Repo context

https://gerrit.wikimedia.org/r/436563

Change 436566 merged by Addshore:
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.6] Only add repo-specific entity type definition elements in Repo context

https://gerrit.wikimedia.org/r/436566

Mentioned in SAL (#wikimedia-operations) [2018-05-31T15:42:15Z] <addshore@tin> Synchronized php-1.32.0-wmf.6/extensions/WikibaseLexeme: [[gerrit:436566|Only add repo-specific entity type definition elements in Repo context]] T195615 (duration: 01m 32s)

Change 436567 merged by Addshore:
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.5] Only add repo-specific entity type definition elements in Repo context

https://gerrit.wikimedia.org/r/436567

Mentioned in SAL (#wikimedia-operations) [2018-05-31T15:44:56Z] <addshore@tin> Synchronized php-1.32.0-wmf.5/extensions/WikibaseLexeme: [[gerrit:436567|Only add repo-specific entity type definition elements in Repo context]] T195615 (duration: 01m 32s)

Mentioned in SAL (#wikimedia-operations) [2018-05-31T15:50:54Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:436560|Load WikibaseLexeme on testwiki (again)]] T195615 (duration: 01m 21s)

Change 436497 merged by jenkins-bot:
[operations/mediawiki-config@master] Load WikibaseLexeme on all of group0

https://gerrit.wikimedia.org/r/436497

Mentioned in SAL (#wikimedia-operations) [2018-05-31T15:59:00Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:436497|Load WikibaseLexeme on group0]] T195615 (duration: 01m 18s)

Mentioned in SAL (#wikimedia-operations) [2018-05-31T16:03:06Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: REVERT Load WikibaseLexeme on group0 T195615 (duration: 01m 21s)

Mentioned in SAL (#wikimedia-operations) [2018-05-31T16:06:44Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: REVERT Load WikibaseLexeme on testwiki (again) T195615 (duration: 01m 21s)

Next issue encountered is that API modules are also loaded, when they should not be.

PHP Fatal Error: Class undefined: Wikibase\Repo\WikibaseRepo
#0 /srv/mediawiki/php-1.32.0-wmf.6/extensions/WikibaseLexeme/src/Api/AddForm.php(70): NO_FUNCTION_GIVEN()
#1 /srv/mediawiki/php-1.32.0-wmf.6/includes/api/ApiModuleManager.php(191): Wikibase\Lexeme\Api\AddForm::newFromGlobalState(ApiMain, string)
#2 /srv/mediawiki/php-1.32.0-wmf.6/includes/api/ApiModuleManager.php(167): ApiModuleManager->instantiateModule(string, string, string)
#3 /srv/mediawiki/php-1.32.0-wmf.6/includes/api/ApiBase.php(641): ApiModuleManager->getModule(string)
#4 /srv/mediawiki/php-1.32.0-wmf.6/includes/api/ApiBase.php(2426): ApiBase->getModuleFromPath(string)
#5 /srv/mediawiki/php-1.32.0-wmf.6/includes/api/ApiHelp.php(429): ApiBase->getFinalParamDescription()
#6 /srv/mediawiki/php-1.32.0-wmf.6/includes/api/ApiHelp.php(146): ApiHelp::getHelpInternal(DerivativeContext, array, array, array)
#7 /srv/mediawiki/php-1.32.0-wmf.6/includes/api/ApiHelp.php(50): ApiHelp::getHelp(DerivativeContext, array, array)
#8 /srv/mediawiki/php-1.32.0-wmf.6/includes/api/ApiMain.php(1579): ApiHelp->execute()
#9 /srv/mediawiki/php-1.32.0-wmf.6/includes/api/ApiMain.php(535): ApiMain->executeAction()
#10 /srv/mediawiki/php-1.32.0-wmf.6/includes/api/ApiMain.php(506): ApiMain->executeActionWithErrorHandling()
#11 /srv/mediawiki/php-1.32.0-wmf.6/api.php(83): ApiMain->execute()
#12 /srv/mediawiki/w/api.php(3): include(string)
#13 {main}

Just noting that this prevents us from adding examples on lexeme-related properties, such as https://www.wikidata.org/wiki/Property:P5244.

hoo added a comment.EditedJun 5 2018, 9:08 PM

This is very close to a UBN (if not actually a UBN) :/

Addshore added a comment.EditedJun 6 2018, 8:19 AM

I undid the edit that was causing the spam @ T196471 for now and confirmed that there are no more items or properties that use forms or lexemes.

Change 437699 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Register data types on client

https://gerrit.wikimedia.org/r/437699

Change 437699 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Register data types on client

https://gerrit.wikimedia.org/r/437699

@Addshore enabling WikibaseLexeme on clients is one thing that probably should be considered. But also something that needs more thought and work.
Regardelss of this, I am now pretty convinced https://gerrit.wikimedia.org/r/#/c/437495/ is a fix that would solve this problem, and generally a problem of client wiki reading data containing references to entities of type the client wiki does not know.

Addshore added a comment.EditedJun 7 2018, 1:48 PM

Just +2ed the patch and have setup the following patches ready to deploy:

Still TODO is a patch setting wgLexemeEnableRepo to false for the clients

We of course need to wait for the patch to be deployed everywhere next week first :)

Change 437500 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Only register API modules and other repo-specific stuff in repo-only mode

https://gerrit.wikimedia.org/r/437500

Change 438245 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[operations/mediawiki-config@master] Only enable repo-specific parts of WikibaseLexeme on wikidata wikis

https://gerrit.wikimedia.org/r/438245

Still TODO is a patch setting wgLexemeEnableRepo to false for the clients

Hopefully https://gerrit.wikimedia.org/r/438245 does the trick.

Change 440295 had a related patch set uploaded (by Addshore; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@wmf/1.32.0-wmf.8] Statement transclusion: when entity of unknown type in statement, display ID as string

https://gerrit.wikimedia.org/r/440295

Change 440295 had a related patch set uploaded (by Addshore; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@wmf/1.32.0-wmf.8] Statement transclusion: when entity of unknown type in statement, display ID as string
https://gerrit.wikimedia.org/r/440295

The patch on master has already been +2ed and merged, but the Bug link wasn't in the commit message footer so the bot failed to link it here

Change 440295 merged by Zfilipin:
[mediawiki/extensions/Wikibase@wmf/1.32.0-wmf.8] Statement transclusion: when entity of unknown type in statement, display ID as string

https://gerrit.wikimedia.org/r/440295

Mentioned in SAL (#wikimedia-operations) [2018-06-14T13:46:18Z] <zfilipin@deploy1001> Synchronized php-1.32.0-wmf.8/extensions/Wikibase: SWAT: [[gerrit:440343| Revert "Statement transclusion: when entity of unknown type in statement, display ID as string" (T195615)]] (duration: 01m 21s)

Lydia_Pintscher closed this task as Resolved.Jun 15 2018, 4:56 PM
Lydia_Pintscher claimed this task.
Lydia_Pintscher added a subscriber: Lea_Lacroix_WMDE.

@Addshore did you already remove the abuse filter?

Addshore reopened this task as Open.Jun 15 2018, 9:56 PM

This isn't yet resolved.

KaMan added a subscriber: KaMan.Jun 20 2018, 8:02 AM

Change 441896 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Only define non-repo elements in data types definition for Client

https://gerrit.wikimedia.org/r/441896

Change 441896 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Only define non-repo elements in data types definition for Client

https://gerrit.wikimedia.org/r/441896

Change 442083 had a related patch set uploaded (by Addshore; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.8] Only define non-repo elements in data types definition for Client

https://gerrit.wikimedia.org/r/442083

Change 442084 had a related patch set uploaded (by Addshore; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@wmf/1.32.0-wmf.999] Only define non-repo elements in data types definition for Client

https://gerrit.wikimedia.org/r/442084

Change 442084 abandoned by Addshore:
Only define non-repo elements in data types definition for Client

https://gerrit.wikimedia.org/r/442084

Change 442083 abandoned by Addshore:
Only define non-repo elements in data types definition for Client

https://gerrit.wikimedia.org/r/442083

Lydia_Pintscher removed Lydia_Pintscher as the assignee of this task.Jun 27 2018, 9:45 AM
Vvjjkkii renamed this task from handle use of statements linking to Lexemes (and Forms?) more gracefully on client to k9baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii removed WMDE-leszek as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from k9baaaaaaa to handle use of statements linking to Lexemes (and Forms?) more gracefully on client.Jul 2 2018, 1:23 PM
CommunityTechBot assigned this task to WMDE-leszek.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 436498 merged by jenkins-bot:
[operations/mediawiki-config@master] Load WikibaseLexeme on group1

https://gerrit.wikimedia.org/r/436498

Change 436499 merged by jenkins-bot:
[operations/mediawiki-config@master] Load WikibaseLexeme on all wikidata clients

https://gerrit.wikimedia.org/r/436499

WMDE-leszek closed this task as Resolved.Jul 3 2018, 4:03 PM

This should be fixed now (finally) on all client WMF wikis.
@Addshore has deleted the Abuse Filter rule, so use of lexemes in statements is now possible.

With this, I'd conclude this ticket to be resolved.

Change 438245 abandoned by WMDE-leszek:
Only enable repo-specific parts of WikibaseLexeme on wikidata wikis

https://gerrit.wikimedia.org/r/438245